Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.fmod3
Class FMOD

    java.lang.Object
      org.lwjgl.fmod3.FMOD

    public class FMOD

extends java.lang.Object

Version:
  $Revision: 2764 $ $Id: FMOD.java 2764 2007-04-11 20:32:12 +0000 (on, 11 apr 2007) matzon $
Author:
  Brian Matzon

Field Summary
`protected static boolean` | `created` Have we been created?
`static int` | `FMOD_ERR_ALLOCATED` Error initializing output device, but more specifically, the output device is already in use and cannot be reused.
`static int` | `FMOD_ERR_BUSY` Cannot call this command after FSOUND_Init.
`static int` | `FMOD_ERR_CDDEVICE` An error occured trying to open the specified CD device
`static int` | `FMOD_ERR_CHANNEL_ALLOC` Failed to allocate a new channel
`static int` | `FMOD_ERR_COOPERATIVELEVEL` Error setting cooperative level for hardware.
`static int` | `FMOD_ERR_CREATEBUFFER` Error creating hardware sound buffer.
`static int` | `FMOD_ERR_FILE_BAD` Error loading file
`static int` | `FMOD_ERR_FILE_FORMAT` Unknown file format
`static int` | `FMOD_ERR_FILE_NOTFOUND` File not found
`static int` | `FMOD_ERR_INIT` Error initializing output device.
`static int` | `FMOD_ERR_INVALID_PARAM` An invalid parameter was passed to this function
`static int` | `FMOD_ERR_MEDIAPLAYER` Required Mediaplayer codec is not installed
`static int` | `FMOD_ERR_MEMORY` Not enough memory
`static int` | `FMOD_ERR_NO_EAX` Tried to use an EAX command on a non EAX enabled channel or output.
`static int` | `FMOD_ERR_NONE` No errors
`static int` | `FMOD_ERR_OUTPUT_FORMAT` Soundcard does not support the features needed for this soundsystem (16bit stereo output)
`static int` | `FMOD_ERR_PLAY` Playing the sound failed.
`static int` | `FMOD_ERR_RECORD` Recording is not supported on this machine
`static int` | `FMOD_ERR_UNINITIALIZED` This command failed because FSOUND_Init was not called
`static int` | `FMOD_ERR_VERSION` The version number of this file format is not supported
`static int` | `FMUSIC_INSTCALLBACK` Type defining the music callback entries in callback hashmap array
`static int` | `FMUSIC_ORDERCALLBACK` Type defining the music callback entries in callback hashmap array
`static int` | `FMUSIC_ROWCALLBACK` Type defining the music callback entries in callback hashmap array
`static int` | `FMUSIC_ZXXCALLBACK` Type defining the music callback entries in callback hashmap array
`static int` | `FSOUND_ALLOCCALLBACK` Type defining the alloc callback entries in callback hashmap array
`static int` | `FSOUND_CLOSECALLBACK` Type defining the close callback entries in callback hashmap array
`static int` | `FSOUND_DSPCALLBACK` Type defining the dsp callback entries in callback hashmap array
`static int` | `FSOUND_ENDCALLBACK` Type defining the "end" callback entries in callback hashmap array
`static int` | `FSOUND_FREECALLBACK` Type defining the free callback entries in callback hashmap array
`static int` | `FSOUND_METADATACALLBACK` Type defining the metadata callback entries in callback hashmap array
`static int` | `FSOUND_OPENCALLBACK` Type defining the open callback entries in callback hashmap array
`static int` | `FSOUND_READCALLBACK` Type defining the read callback entries in callback hashmap array
`static int` | `FSOUND_REALLOCCALLBACK` Type defining the realloc callback entries in callback hashmap array
`static int` | `FSOUND_SEEKCALLBACK` Type defining the seek callback entries in callback hashmap array
`static int` | `FSOUND_STREAMCALLBACK` Type defining the stream callback entries in callback hashmap array
`static int` | `FSOUND_SYNCCALLBACK` Type defining the "sync" callback entries in callback hashmap array
`static int` | `FSOUND_TELLCALLBACK` Type defining the tell callback entries in callback hashmap array

Constructor Summary
`FMOD()`

Method Summary
`static void` | `create()` Creates an FMOD instance.
`static void` | `destroy()` Exit cleanly by calling destroy.
`static java.lang.String` | `FMOD_ErrorString(int errorcode)` Retrieves the errorcode desription for specified code
`static java.lang.String` | `getVersion()` Return the version of the FMOD3-LWJGL binding as a String.
`static boolean` | `isCreated()`
`protected static void` | `nCreate(java.lang.String[] paths)` Native method to create FMOD instance
`protected static void` | `nDestroy()` Native method the destroy the FMOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FMUSIC_INSTCALLBACK

    public static final int FMUSIC_INSTCALLBACK

  Type defining the music callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FMUSIC_ORDERCALLBACK

    public static final int FMUSIC_ORDERCALLBACK

  Type defining the music callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FMUSIC_ROWCALLBACK

    public static final int FMUSIC_ROWCALLBACK

  Type defining the music callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FMUSIC_ZXXCALLBACK

    public static final int FMUSIC_ZXXCALLBACK

  Type defining the music callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_DSPCALLBACK

    public static final int FSOUND_DSPCALLBACK

  Type defining the dsp callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_STREAMCALLBACK

    public static final int FSOUND_STREAMCALLBACK

  Type defining the stream callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_ALLOCCALLBACK

    public static final int FSOUND_ALLOCCALLBACK

  Type defining the alloc callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_REALLOCCALLBACK

    public static final int FSOUND_REALLOCCALLBACK

  Type defining the realloc callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_FREECALLBACK

    public static final int FSOUND_FREECALLBACK

  Type defining the free callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_OPENCALLBACK

    public static final int FSOUND_OPENCALLBACK

  Type defining the open callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_CLOSECALLBACK

    public static final int FSOUND_CLOSECALLBACK

  Type defining the close callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_METADATACALLBACK

    public static final int FSOUND_METADATACALLBACK

  Type defining the metadata callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_READCALLBACK

    public static final int FSOUND_READCALLBACK

  Type defining the read callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_SEEKCALLBACK

    public static final int FSOUND_SEEKCALLBACK

  Type defining the seek callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_TELLCALLBACK

    public static final int FSOUND_TELLCALLBACK

  Type defining the tell callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_ENDCALLBACK

    public static final int FSOUND_ENDCALLBACK

  Type defining the "end" callback entries in callback hashmap array

  See Also:
    Constant Field Values

### FSOUND_SYNCCALLBACK

    public static final int FSOUND_SYNCCALLBACK

  Type defining the "sync" callback entries in callback hashmap array

  See Also:
    Constant Field Values

### created

    protected static boolean created

  Have we been created?

### FMOD_ERR_NONE

    public static final int FMOD_ERR_NONE

  No errors

  See Also:
    Constant Field Values

### FMOD_ERR_BUSY

    public static final int FMOD_ERR_BUSY

  Cannot call this command after FSOUND_Init. Call FSOUND_Close first.

  See Also:
    Constant Field Values

### FMOD_ERR_UNINITIALIZED

    public static final int FMOD_ERR_UNINITIALIZED

  This command failed because FSOUND_Init was not called

  See Also:
    Constant Field Values

### FMOD_ERR_INIT

    public static final int FMOD_ERR_INIT

  Error initializing output device.

  See Also:
    Constant Field Values

### FMOD_ERR_ALLOCATED

    public static final int FMOD_ERR_ALLOCATED

  Error initializing output device, but more specifically, the output device is already in use and cannot be reused.

  See Also:
    Constant Field Values

### FMOD_ERR_PLAY

    public static final int FMOD_ERR_PLAY

  Playing the sound failed.

  See Also:
    Constant Field Values

### FMOD_ERR_OUTPUT_FORMAT

    public static final int FMOD_ERR_OUTPUT_FORMAT

  Soundcard does not support the features needed for this soundsystem (16bit stereo output)

  See Also:
    Constant Field Values

### FMOD_ERR_COOPERATIVELEVEL

    public static final int FMOD_ERR_COOPERATIVELEVEL

  Error setting cooperative level for hardware.

  See Also:
    Constant Field Values

### FMOD_ERR_CREATEBUFFER

    public static final int FMOD_ERR_CREATEBUFFER

  Error creating hardware sound buffer.

  See Also:
    Constant Field Values

### FMOD_ERR_FILE_NOTFOUND

    public static final int FMOD_ERR_FILE_NOTFOUND

  File not found

  See Also:
    Constant Field Values

### FMOD_ERR_FILE_FORMAT

    public static final int FMOD_ERR_FILE_FORMAT

  Unknown file format

  See Also:
    Constant Field Values

### FMOD_ERR_FILE_BAD

    public static final int FMOD_ERR_FILE_BAD

  Error loading file

  See Also:
    Constant Field Values

### FMOD_ERR_MEMORY

    public static final int FMOD_ERR_MEMORY

  Not enough memory

  See Also:
    Constant Field Values

### FMOD_ERR_VERSION

    public static final int FMOD_ERR_VERSION

  The version number of this file format is not supported

  See Also:
    Constant Field Values

### FMOD_ERR_INVALID_PARAM

    public static final int FMOD_ERR_INVALID_PARAM

  An invalid parameter was passed to this function

  See Also:
    Constant Field Values

### FMOD_ERR_NO_EAX

    public static final int FMOD_ERR_NO_EAX

  Tried to use an EAX command on a non EAX enabled channel or output.

  See Also:
    Constant Field Values

### FMOD_ERR_CHANNEL_ALLOC

    public static final int FMOD_ERR_CHANNEL_ALLOC

  Failed to allocate a new channel

  See Also:
    Constant Field Values

### FMOD_ERR_RECORD

    public static final int FMOD_ERR_RECORD

  Recording is not supported on this machine

  See Also:
    Constant Field Values

### FMOD_ERR_MEDIAPLAYER

    public static final int FMOD_ERR_MEDIAPLAYER

  Required Mediaplayer codec is not installed

  See Also:
    Constant Field Values

### FMOD_ERR_CDDEVICE

    public static final int FMOD_ERR_CDDEVICE

  An error occured trying to open the specified CD device

  See Also:
    Constant Field Values

Constructor Detail

### FMOD

    public FMOD()

Method Detail

### getVersion

    public static java.lang.String getVersion()

  Return the version of the FMOD3-LWJGL binding as a String.

### isCreated

    public static boolean isCreated()

  Returns:
    true if AL has been created

### create

    public static void create()
                       throws FMODException

  Creates an FMOD instance.

  Throws:
    `FMODException`

### nCreate

    protected static void nCreate(java.lang.String[] paths)

  Native method to create FMOD instance

### destroy

    public static void destroy()

  Exit cleanly by calling destroy.

### nDestroy

    protected static void nDestroy()

  Native method the destroy the FMOD

### FMOD_ErrorString

    public static java.lang.String FMOD_ErrorString(int errorcode)

  Retrieves the errorcode desription for specified code

  Parameters:
    `errorcode` - errorcode to lookup
  Returns:
    Description of errorcode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.